# sample makefile
CC=cc
GAPARCH=armv6l-unknown-linux-gnueabihf-default32

all: default

default: bin/$(GAPARCH)/hello

bin/$(GAPARCH)/hello: src/hello.c
	mkdir -p bin/$(GAPARCH)
	$(CC) -o bin/$(GAPARCH)/hello src/hello.c

clean:
	rm -rf bin

distclean: clean
	rm -rf Makefile

doc:
	gap -A -q -T < makedocrel.g

.PHONY: all default clean distclean doc
